### Method

# EDataCal CalMetaBackend merge_instances

since: 3.26

#### Declaration [src]

    ICalComponent*
    e_cal_meta_backend_merge_instances (
      ECalMetaBackend* meta_backend,
      const GSList* instances,
      gboolean replace_tzid_with_location
    )

#### Description [src]

Merges all the instances provided in `instances` list into one VCALENDAR object, which would eventually contain also all the used timezones. The `instances` list should contain the master object and eventually all the detached instances for one component (they all have the same UID).

Any TZID property parameters can be replaced with corresponding timezone location, which will not influence the timezone itself.

Available since: 3.26

#### Parameters

`instances`

  Type: A list of `None`

  Component instances to merge.

  The data is owned by the caller of the method.

`replace_tzid_with_location`

  Type: `gboolean`

  Whether to replace TZID-s with locations.

#### Return value

Type: `None`

An `ICalComponent` containing a VCALENDAR component which consists of all the given instances. Free the returned pointer with g_object_unref(), when no longer needed.

See: e_cal_meta_backend_save_component_sync().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.